import * as React from 'react';
type IColSize = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;
type Props = React.PropsWithChildren<{
    xs?: IColSize;
    sm?: IColSize;
    md?: IColSize;
    lg?: IColSize;
    xl?: IColSize;
    base?: IColSize;
} & Record<string, number | React.ReactElement>>;
export declare const GridItem: ({ children, ...restProps }: Props) => React.JSX.Element;
export {};
